Server install on AIX can change the reported OS level

Technote (troubleshooting)


Problem(Abstract)

Server install on AIX changes the reported OS level due to server prerequisite.

Symptom

If a fileset is installed at a lower level than the OS is running, the result of the oslevel command will report that the OS level has been down.


Cause

If the modules which is needed for server was not on the system, the server installs the lower support version of the modules.

Environment

AIX

Diagnosing the problem

After the install of the server module, the AIX OSlevel is reduced.

To see the OS levels before and after the server install, issue:
oslevel -s

After the module which is needed for the server is installed, do the following command to see what level is recommended by the OS:

oslevel -r -l <Expected version>

Example:
# oslevel -r -l 6100-02

Fileset Actual Level Recommended ML
-----------------------------------------------------------------------------
xlsmp.rte 1.7.0.0 1.8.0.0


Resolving the problem

No action is needed if no other application needs a higher level of the module.
If there is a application which needs a higher level of the module, add the module at recommended level.

Historical Number

17732

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Tivoli Storage Manager
Server

Software version:

All Supported Versions

Operating system(s):

AIX

Software edition:

All Editions

Reference #:

1508929

Modified date:

2013-07-12

Translate my page

Machine Translation

Content navigation